Project

General

Profile

Bug #43334

nautilus: rados/test_envlibrados_for_rocksdb.sh broken packages with ubuntu_16.04.yaml

Added by Yuri Weinstein about 4 years ago. Updated about 4 years ago.

Status:
Resolved
Priority:
High
Assignee:
Category:
-
Target version:
-
% Done:

0%

Source:
Q/A
Tags:
Backport:
Regression:
No
Severity:
3 - minor
Reviewed:
Affected Versions:
ceph-qa-suite:
rados
Component(RADOS):
Pull request ID:
Crash signature (v1):
Crash signature (v2):

Description

Run: http://pulpito.ceph.com/yuriw-2019-12-15_16:25:11-rados-wip-yuri-nautilus-baseline_12.13.19-distro-basic-smithi/
Job: 4605577
Logs: http://qa-proxy.ceph.com/teuthology/yuriw-2019-12-15_16:25:11-rados-wip-yuri-nautilus-baseline_12.13.19-distro-basic-smithi/4605577/teuthology.log

2019-12-15T20:36:53.076 INFO:tasks.workunit.client.0.smithi099.stdout:The following packages have unmet dependencies:
2019-12-15T20:36:53.117 INFO:tasks.workunit.client.0.smithi099.stdout: cmake : Depends: libstdc++6 (>= 6) but 5.4.0-6ubuntu1~16.04.12 is to be installed
2019-12-15T20:36:53.135 INFO:tasks.workunit.client.0.smithi099.stderr:E: Unable to correct problems, you have held broken packages.
2019-12-15T20:36:53.136 DEBUG:teuthology.orchestra.run:got remote process result: 100
2019-12-15T20:36:53.137 INFO:tasks.workunit:Stopping ['rados/test_envlibrados_for_rocksdb.sh'] on client.0...
2019-12-15T20:36:53.137 INFO:teuthology.orchestra.run.smithi099:> sudo rm -rf -- /home/ubuntu/cephtest/workunits.list.client.0 /home/ubuntu/cephtest/clone.client.0

History

#1 Updated by Neha Ojha about 4 years ago

  • Subject changed from broken packages in rados/nautilus baseline to nautilus: rados/test_envlibrados_for_rocksdb.sh broken packages
  • Priority changed from Normal to High

/a/yuriw-2019-12-23_20:23:51-rados-wip-yuri-testing-2019-12-16-2241-nautilus-distro-basic-smithi/4628899/

#2 Updated by Neha Ojha about 4 years ago

  • Project changed from Ceph to RADOS

#3 Updated by Neha Ojha about 4 years ago

  • Subject changed from nautilus: rados/test_envlibrados_for_rocksdb.sh broken packages to nautilus: rados/test_envlibrados_for_rocksdb.sh broken packages with ubuntu_16.04.yaml

#4 Updated by Kefu Chai about 4 years ago

i need to rebuild cmake3 using the original libstdc++ instead of the one from the gcc-8/gcc-9 ppa repo.

#5 Updated by Kefu Chai about 4 years ago

  • Status changed from New to Resolved

i've recompiled cmake3 for xenial/amd64 with GCC-5, and uploaded the built packages to the chacra repo. please reopen this ticket if it does not work.

#6 Updated by Kefu Chai about 4 years ago

  • Assignee set to Kefu Chai

Also available in: Atom PDF